package com.javacodegeeks.dubbo;

import java.io.IOException;

import com.alibaba.dubbo.config.ApplicationConfig;
import com.alibaba.dubbo.config.RegistryConfig;
import com.alibaba.dubbo.config.ServiceConfig;

public class Starter {
    public static void main(String[] args) throws IOException {
        final ServiceConfig<LibraryService> serviceConfig = new ServiceConfig<LibraryService>();
        serviceConfig.setApplication(new ApplicationConfig("library-provider"));
        serviceConfig.setRegistry(new RegistryConfig("multicast://224.5.6.7:1234"));
        serviceConfig.setInterface(LibraryService.class);
        serviceConfig.setRef(new LibraryServiceImpl());
        serviceConfig.export();
        System.in.read();
    }
}
