package com.javacodegeeks.finatra

import com.javacodegeeks.library.Library
import com.javacodegeeks.library.Book
import com.javacodegeeks.library.Filter
import com.twitter.finagle.Thrift

object Client extends App {
  val library: Library.MethodPerEndpoint = 
    Thrift.client.build[Library.MethodPerEndpoint]("localhost:9999")
    
  library.addBook(Book("1492030716", "Learning GraphQL", Some(2018)))  
  library.getBooks(Filter()) map println _
}