package com.javacodegeeks.graphql;

import java.util.Collection;
import java.util.Optional;

public interface LibraryService {
    Collection<Book> getBooks();
    Book addBook(Book book);
    Optional<Book> findBook(String isbn);
    boolean removeBook(String isbn);
    Book updateBook(String isbn, Book book);
}
