package com.javacodegeeks.dubbo;

import java.io.IOException;

import com.alibaba.dubbo.config.ApplicationConfig;
import com.alibaba.dubbo.config.ReferenceConfig;
import com.alibaba.dubbo.config.RegistryConfig;

public class ClientStarter {
    public static void main(String[] args) throws IOException {
        final ReferenceConfig<LibraryService> referenceConfig = new ReferenceConfig<LibraryService>();
        referenceConfig.setApplication(new ApplicationConfig("library-provider"));
        referenceConfig.setRegistry(new RegistryConfig("multicast://224.5.6.7:1234"));
        referenceConfig.setInterface(LibraryService.class);
        final LibraryService libraryService = referenceConfig.get();
        System.out.println(libraryService.addBook(new Book("1492030716", "Learning GraphQL", 2018)));
    }
}
