name := "finatra"
version := "0.1.0-SNAPSHOT"

scalaVersion := "2.12.6"
scalacOptions ++= Seq("-deprecation", "-feature")

libraryDependencies ++= Seq(
    "com.twitter" %% "finatra-thrift" % "18.8.0",
	"org.apache.thrift" % "libthrift" % "0.10.0",
    "com.twitter" %% "scrooge-core" % "18.8.0",
    "ch.qos.logback" % "logback-classic" % "1.1.7",
    "com.twitter" %% "finatra-thrift" % "18.8.0" % "test" classifier "tests"
)

scroogePublishThrift in Compile := true
scroogeThriftIncludeFolders in Test := Seq(file("src/main/thrift"))
scroogeLanguages in Compile := Seq("scala")
scroogeLanguages in Test := Seq("scala")

enablePlugins(JavaAppPackaging)
