package com.javacodegeeks.graphql;

import java.io.Serializable;

public class Book implements Serializable {
    private static final long serialVersionUID = -7737173279302333398L;

    private String isbn;
    private String title;
    private int year;
    
    public Book() {
    }
    
    public Book(String isbn, String title, int year) {
        this.isbn = isbn;
        this.title = title;
        this.year = year;
    }

    public String getIsbn() {
        return isbn;
    }
    
    public void setIsbn(String isbn) {
        this.isbn = isbn;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public int getYear() {
        return year;
    }

    public void setYear(int year) {
        this.year = year;
    }
}
