package com.javacodegeeks.restlet;

import javax.inject.Inject;

import org.restlet.resource.Get;
import org.restlet.resource.ServerResource;

public class BookResource extends ServerResource {
    @Inject private LibraryService libraryService;
    
    @Get
    public Book findBook() {
        final String isbn = (String) getRequest().getAttributes().get("isbn");
        return libraryService.findBook(isbn).orElse(null);
    }
}
